com.salesforce.datacloud.jdbc.interceptor

## Class MaxMetadataSizeHeaderInterceptor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.interceptor.MaxMetadataSizeHeaderInterceptor

    public class MaxMetadataSizeHeaderInterceptor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MaxMetadataSizeHeaderInterceptor()`

### Method Summary

All Methods Instance Methods Concrete Methods Default Methods
`io.grpc.Metadata.Key<String>` `getKey()`
`String` `getValue()`
`default void` `mutate(io.grpc.Metadata headers)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.salesforce.datacloud.jdbc.interceptor.HeaderMutatingClientInterceptor

`interceptCall`

### Constructor Detail

#### MaxMetadataSizeHeaderInterceptor

    public MaxMetadataSizeHeaderInterceptor()

### Method Detail

#### getValue

    public String getValue()

#### getKey

    public io.grpc.Metadata.Key<String> getKey()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### mutate

    public void mutate(io.grpc.Metadata headers)

Specified by:
  `mutate` in interface `HeaderMutatingClientInterceptor`